import os

from django.contrib.auth.models import User
from django.test import TestCase

from jmb.organization.forms import SetPasswordFormWOldPW


class MyTests(TestCase):

    def setUp(self):
        self.user_name = "test"
        self.user_pwd = "testpwd"
        self.user_mail = "test@thundersystems.it"
        self. user = User.objects.create_user(
            username=self.user_name,
            email=self.user_mail,
            password=self.user_pwd,
        )

    def test_SetPasswordFormWOldPW(self):
        new_password = "ThunderPW2014!"
        form_data = dict(
            old_password=self.user_pwd,
            new_password1=new_password,
            new_password2=new_password,
        )
        form = SetPasswordFormWOldPW(user=self.user, data=form_data)
        self.assertEqual(form.is_valid(), True)
